ComboItemForComboGroupDetailed

The collection of menu items in the combo group

  • Combo item UUID

  • Unique identifier for the connected combo group. Optionally added in the include query parameter as "combo_group_id" in the part of the combo items include.

  • Boolean flag indicating whether the combo item is pre-selected

  • Properties: 9
  • Collection of menu combo prices per levels. Depending on the combo size the price can be different

    Properties: 3
  • Price for the given order type in cents (divide by 100 to get decimal representation). If combo item price is "null", it means price is defined by the price of its menu item price level.

Examples
{
  "id": "404bde97-0602-429a-a035-493bc50055d7",
  "combo_group_id": "000a7a0d-5b0e-43d1-9933-fd0e63c68185",
  "is_preselected": false,
  "price_by_order_type": 1000,
  "menu_item_price_level": {
    "id": "fc55bbec-e945-4a0b-bd08-ef436b659f4f",
    "price_by_order_type": 1000,
    "calories": 500
  },
  "menu_item": {
    "id": "7dc385dd-d312-4c2e-9bca-928d31f1fc84",
    "subcategory_id": "99cd0865-5436-40f7-bd70-e8bdf6e1bd90",
    "name": "Menu Item",
    "description": "Menu Item's description",
    "translations": {
      "name": "Menu Item",
      "description": "Menu Item's description"
    },
    "food_type": null,
    "allergens": [
      {
        "id": "milk",
        "translated_name": "Milk"
      }
    ],
    "image": {
      "thumbnail_small": null,
      "thumbnail_medium": null
    },
    "modifier_groups": [
      {
        "id": "8a698858-5063-41de-bf1a-92a9da0a3f3a",
        "name": "Modifier Group",
        "translations": {
          "name": "Modifier Group"
        },
        "min_selected": 0,
        "max_selected": 2,
        "modifiers": [
          {
            "id": "685a2edc-da1e-44c7-ba26-98f7804e10d1",
            "name": "Modifier",
            "translations": {
              "name": "Modifier"
            },
            "allergens": [
              {
                "id": "milk",
                "translated_name": "Milk"
              }
            ],
            "is_preselected": false,
            "price_by_order_type": 200,
            "calories": 300,
            "image": {
              "thumbnail_small": null
            }
          }
        ]
      }
    ]
  }
}